
%define gtk2_version 2.2.0
%define glib2_version 2.2.0
%define nautilus_version 2.2.0
%define desktop_file_utils_version 0.2.90
%define libgnomeprint_version 2.2.0
%define libgnomeprintui_version 2.2.0

Summary: Image viewer, editor, organizer
Name: gthumb
Version: 2.3.2
Release: 2
URL: http://gthumb.sourceforge.net
Source0: http://ftp.acc.umu.se/pub/gnome/sources/gthumb/2.2/%{name}-%{version}.tar.bz2
License: GPL
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: nautilus >= %{nautilus_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: libgnomeprint22-devel >= %{libgnomeprint_version}
BuildRequires: libgnomeprintui22-devel >= %{libgnomeprintui_version}
BuildRequires: libexif-devel
BuildRequires: libgnomeui-devel >= 2.2.0
BuildRequires: libpng-devel
BuildRequires: gettext

# Needed or features are missing
BuildRequires: gphoto2-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel

Requires: scrollkeeper

%description
gthumb is an application for viewing, editing, and organizing 
collections of images.

%prep
%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
find $RPM_BUILD_ROOT -name "*.a" -exec rm {} \;

desktop-file-install --vendor gthumb --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post

scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gthumb.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
scrollkeeper-update

%files -f %{name}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/bonobo/*
%{_libdir}/gthumb
%{_datadir}/gthumb
%{_datadir}/gnome
%{_datadir}/gnome-2.0
%{_datadir}/applications
%{_datadir}/application-registry
%{_datadir}/man/man*/*
%{_datadir}/omf
%{_datadir}/pixmaps

%changelog
* Tue Apr 13 2004 Warren Togami <wtogami@redhat.com> 2.3.2-2
- #111001 BR: libgnomeui-devel gettext libpng-devel
  BR or missing features: gphoto2-devel libjpeg-devel libtiff-devel

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 2.3.2-1
- Update to 2.3.2

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Alexander Larsson <alexl@redhat.com> 2.3.1-1
- update to 2.3.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec 22 2003 Matt Wilson <msw@redhat.com> 2.2.0-1
- 2.2.0

* Wed Jul  9 2003 Havoc Pennington <hp@redhat.com> 2.0.2-1
- 2.0.2
- buildreq libgnomeprint

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 2.0.1-1
- 2.0.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Havoc Pennington <hp@redhat.com>
- 1.108
- disable schema install during makeinstall

* Thu Jan 02 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- require scrollkeeper

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Thu Dec 12 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


